pydo.nfs.get_snapshot()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.nfs.get_snapshot(
    nfs_snapshot_id="0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
    region=None,
)
Returns JSONRaises HttpResponseError

Description

To get an NFS snapshot, send a GET request to /v2/nfs/snapshots/{nfs_snapshot_id}?region=${region}.

A successful request will return the NFS snapshot.

Parameters

nfs_snapshot_id string required

The unique ID of the NFS snapshot

region string optional

The DigitalOcean region slug (e.g., nyc2, atl1) where the NFS share resides.

Response Example

Show Response Example
{
  "snapshot": {
    "id": "0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
    "name": "daily-backup",
    "size_gib": 1024,
    "region": "atl1",
    "status": "CREATING",
    "created_at": "2023-11-14T16:29:21Z",
    "share_id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
  }
}

More Information

See /v2/nfs/snapshots/{nfs_snapshot_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.